<!DOCTYPE html>
<html>
  <head>
    <title>Splurty</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
      <%= csrf_meta_tags %>
      <%= csp_meta_tag %>

      <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
      <%= javascript_include_tag 'application', ' data-turbolinks-track': 'reload' %>
  </head>

  <body>
      <header class="row">
        <div class="col-3"> 
          <%= link_to root_path, class: 'logo' do %>
          <div class="circle">
            <br />
            I
            <br />
            am
            <br />
            dope
          </div>
          <% end %>
          </div>
         <div class="col col-sm-4 hidden-xs-down slogan">
          splurting out unsolicited dopeness since a long time ago
        </div>
        <div class="col-10 offset-1 offset-sm-0 col-sm-5 links">
           <!-- Button trigger modal -->
        <%= link_to 'Add dope ideas', '#', data: {toggle: 'modal', target: '#myModal'} %>
        &nbsp;&nbsp;
        <br/>
        <%= link_to 'About Kanui\'s dopeness ', about_path %>
      </div>
      </header>


    <!-- Modal -->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
            <h4 class="modal-title" id="myModalLabel">wutcha thinkin?</h4>
          </div>
          <%= simple_form_for Quote.new do |f| %>
        <div class="modal-body">
          <%= f.input :saying, label: "Idea:", placeholder: "Fear is the disease. Hustle is the antidote." %>
          <br />
          <%= f.input :author, label: "Author:", placeholder: "Travis Kalanick" %>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <%= f.submit 'Create', class: 'btn btn-danger' %>
        </div>
      <% end %>
          </div>
        </div>
      </div>
    </div>


      <hr />

      <br class= "clear" />
      <div class="container">
          <% if flash[:error].present? %>
      <div class="col-10 offset-1 alert alert-danger">
           <%= flash[:error].html_safe %>
      </div>
      <% end %>

    <%= yield %>
      </div>

    <div class="footer">
      <div class="container">
        <div class="row">
          <div class="col-12 col-sm-6">
            <%= link_to "This isn't dope enough, I need more", root_path, class: 'next-quote' %>
      </div>
      <div class="col-12 col-sm-6 footer-blurb">
        Proudly doped by <a href="[YOUR_PORTFOLIO_URL]">Kanui</a><br />
        Want to build your own dope Web App - <a href="https://online.bootcampspot.com">Learn how to code-dope here</a>
      </div>
        </div>
      </div>
    </div>
  </body>
</html>

